Module jdk.jshell
Package jdk.jshell.spi

# Class ExecutionControl.ExecutionControlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jdk.jshell.spi.ExecutionControl.ExecutionControlException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExecutionControl.ClassInstallException`, `ExecutionControl.EngineTerminationException`, `ExecutionControl.InternalException`, `ExecutionControl.RunException`

Enclosing interface:
  ExecutionControl

    public abstract static class ExecutionControl.ExecutionControlException
    extends Exception

The abstract base of all `ExecutionControl` exceptions.

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ExecutionControlException​(String message)` |

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExecutionControlException

public ExecutionControlException​(String message)